import { jsx } from "react/jsx-runtime";
import { SpeedometerIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Speedometer = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Speedometer", ...props, children: /* @__PURE__ */ jsx(SpeedometerIcon, { weight: variant }) });
  }
);
Speedometer.displayName = "Speedometer";
Object.assign(Speedometer, { isGdsIcon: true });
export {
  Speedometer
};
